set(MODULE_NAME console)

list(APPEND HEADERS 
	MainApplication.h
	BasicWebApp.h)

list(APPEND SOURCES
	BasicWebApp.cpp
	MainApplication.cpp)

add_library(${MODULE_NAME} SHARED ${SOURCES} ${HEADERS})

target_include_directories(${MODULE_NAME} PUBLIC
                          ${CMAKE_CURRENT_SOURCE_DIR}
                          )
set_property(TARGET ${MODULE_NAME} PROPERTY FOLDER src)
target_link_libraries(${MODULE_NAME} PUBLIC core audio network database web graphics publishing)
set_target_properties( ${MODULE_NAME} PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON ) 

set_property(TARGET ${MODULE_NAME} PROPERTY FOLDER src)